Loading...
Searching...
No Matches
dolfin::PETScOptions Class Reference

`#include <PETScOptions.h>`

## Static Public Member Functions

static void | set (std::string option)
| Set PETSc option that takes no value.
static void | set (std::string option, bool value)
| Set PETSc boolean option.
static void | set (std::string option, int value)
| Set PETSc integer option.
static void | set (std::string option, double value)
| Set PETSc double option.
static void | set (std::string option, std::string value)
| Set PETSc string option.
template<typename T>
static void | set (std::string option, const T value)
| Genetic function for setting PETSc option.
static void | clear (std::string option)
| Clear a PETSc option.
static void | clear ()
| Clear PETSc global options database.

## Detailed Description

These class provides static functions that permit users to set and retrieve PETSc options via the PETSc option/parameter system. The option must not be prefixed by '-', e.g.

    PETScOptions::set("mat_mumps_icntl_14", 40);

Note: the non-templated functions are to simplify SWIG wapping into Python.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/PETScOptions.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/PETScOptions.cpp